Threefish_Base< BS > Struct Template Reference

Threefish block cipher base class. More...

## Public Types

typedef SecBlock< word64, AllocatorWithCleanup< word64, true > > | AlignedSecBlock64

## Public Member Functions

void | SetTweak (const NameValuePairs &params)

## Public Attributes

AlignedSecBlock64 | m_wspace
AlignedSecBlock64 | m_rkey
AlignedSecBlock64 | m_tweak

## Detailed Description

### template<unsigned int BS>
struct Threefish_Base< BS >

Threefish block cipher base class.

Template Parameters

  BS | block size of the cipher, in bytes

User code should use Threefish256, Threefish512, Threefish1024

See also
  Threefish256, Threefish512, Threefish1024, Threefish

Since
  Crypto++ 6.0

Definition at line 40 of file threefish.h.

The documentation for this struct was generated from the following file:

- threefish.h